summaryrefslogtreecommitdiffstats
path: root/ci/maas/orange
diff options
context:
space:
mode:
authorNarinder Gupta <narinder.gupta@canonical.com>2015-11-07 00:38:58 -0600
committerNarinder Gupta <narinder.gupta@canonical.com>2015-11-07 00:42:36 -0600
commit3ff5b9114e07349bb4a4b5578394bd799950dcf6 (patch)
treebf19af5d90f4a343218b8e260fa20638d2057357 /ci/maas/orange
parentebefaf35b2909bcc41d8ba3917228b7ccba7ce2e (diff)
added ubuntu charm for local deployment charm to configure the
network according to the labs. Change-Id: I103b6dc243f025a4916d1057c247d01ee8f175ee
Diffstat (limited to 'ci/maas/orange')
-rw-r--r--ci/maas/orange/pod2/compute-interfaces.host23
-rw-r--r--ci/maas/orange/pod2/control-interfaces.host23
-rwxr-xr-xci/maas/orange/pod2/deployment.yaml2
-rw-r--r--ci/maas/orange/pod2/interfaces.host36
-rwxr-xr-xci/maas/orange/pod2/lxc-add-more-interfaces43
5 files changed, 127 insertions, 0 deletions
diff --git a/ci/maas/orange/pod2/compute-interfaces.host b/ci/maas/orange/pod2/compute-interfaces.host
new file mode 100644
index 00000000..28c22feb
--- /dev/null
+++ b/ci/maas/orange/pod2/compute-interfaces.host
@@ -0,0 +1,23 @@
+#### original juju generated part ####
+auto lo
+
+# Primary interface (defining the default route)
+iface eth0 inet manual
+
+# Bridge to use for LXC/KVM containers
+auto juju-br0
+iface juju-br0 inet dhcp
+ bridge_ports eth0
+######################################
+
+#data network for VM on openstack
+auto eth5
+iface eth5 inet manual
+
+auto brData
+iface brData inet dhcp
+ bridge_ports eth5
+ bridge_stp off
+ bridge_fd 0
+ bridge_maxwait 0
+
diff --git a/ci/maas/orange/pod2/control-interfaces.host b/ci/maas/orange/pod2/control-interfaces.host
new file mode 100644
index 00000000..ba8b29cb
--- /dev/null
+++ b/ci/maas/orange/pod2/control-interfaces.host
@@ -0,0 +1,23 @@
+#### original juju generated part ####
+auto lo
+
+# Primary interface (defining the default route)
+iface eth0 inet manual
+
+# Bridge to use for LXC/KVM containers
+auto juju-br0
+iface juju-br0 inet dhcp
+ bridge_ports eth0
+######################################
+
+#data network for VM on openstack
+auto eth3
+iface eth3 inet manual
+
+auto brData
+iface brData inet dhcp
+ bridge_ports eth3
+ bridge_stp off
+ bridge_fd 0
+ bridge_maxwait 0
+
diff --git a/ci/maas/orange/pod2/deployment.yaml b/ci/maas/orange/pod2/deployment.yaml
index 86a3c144..9541a002 100755
--- a/ci/maas/orange/pod2/deployment.yaml
+++ b/ci/maas/orange/pod2/deployment.yaml
@@ -122,6 +122,7 @@ demo-maas:
ip: 192.168.12.5
subnet_mask: 255.255.255.0
broadcast_ip: 192.168.12.255
+ management: 1
static_range:
low: 192.168.12.50
high: 192.168.12.150
@@ -132,6 +133,7 @@ demo-maas:
ip: 192.168.22.5
subnet_mask: 255.255.255.0
broadcast_ip: 192.168.22.255
+ management: 1
static_range:
low: 192.168.22.50
high: 192.168.22.150
diff --git a/ci/maas/orange/pod2/interfaces.host b/ci/maas/orange/pod2/interfaces.host
new file mode 100644
index 00000000..9377814c
--- /dev/null
+++ b/ci/maas/orange/pod2/interfaces.host
@@ -0,0 +1,36 @@
+#### original juju generated part ####
+auto lo
+
+# Primary interface (defining the default route)
+iface eth0 inet manual
+
+# Bridge to use for LXC/KVM containers
+auto juju-br0
+iface juju-br0 inet dhcp
+ bridge_ports eth0
+######################################
+
+auto eth2
+iface eth2 inet manual
+
+auto eth2.721
+iface eth2.721 inet manual
+
+auto brData
+iface brData inet dhcp
+ bridge_ports eth2.721
+ bridge_stp off
+ bridge_fd 0
+ bridge_maxwait 0
+
+# The public network interface
+auto eth2.724
+iface eth2.724 inet manual
+
+auto brPublic
+iface brPublic inet dhcp
+ bridge_ports eth2.724
+ bridge_stp off
+ bridge_fd 0
+ bridge_maxwait 0
+
diff --git a/ci/maas/orange/pod2/lxc-add-more-interfaces b/ci/maas/orange/pod2/lxc-add-more-interfaces
new file mode 100755
index 00000000..a22901a0
--- /dev/null
+++ b/ci/maas/orange/pod2/lxc-add-more-interfaces
@@ -0,0 +1,43 @@
+#!/bin/bash
+
+set -e
+set -u
+
+cat <<EOF >> "$LXC_CONFIG_FILE"
+
+## added by juju charm
+lxc.network.type = veth
+lxc.network.flags = up
+lxc.network.link = brData
+lxc.network.name = eth1
+lxc.network.hwaddr = 00:16:3e:$(openssl rand -hex 3| sed 's/\(..\)/\1:/g; s/.$//')
+EOF
+
+USERDATA="$LXC_ROOTFS_PATH/var/lib/cloud/seed/nocloud-net/user-data"
+
+additional_interfaces="
+- |
+ cat <<EOF >> /etc/network/interfaces.d/additional-interfaces
+ ## added by juju charm
+ ## those interfaces will be brought up by the upstart job as /etc/init/additional-interfaces.conf
+ ## LP: #1483932
+ auto eth1
+ iface eth1 inet dhcp
+ EOF
+- machine_agent=\$(hostname | sed -e 's/^juju-/jujud-/')
+- |
+ cat <<EOF > /etc/init/additional-interfaces.conf
+ ## added by juju charm
+ ## LP: #1483932
+ start on started \${machine_agent}
+
+ script
+ sleep 10
+ ifup -a -i /etc/network/interfaces.d/additional-interfaces
+ end script
+ EOF
+"
+additional_interfaces=$(echo "$additional_interfaces" | sed -e 's/$/\\n/' | tr -d '\n')
+
+sed -i.orig -e "s@^runcmd:@\0$additional_interfaces@" \
+ "$USERDATA"